UbixOS V2 2.0

Macros | Functions
dma.c File Reference
`#include <sys/dma.h>`
`#include <sys/io.h>`
Include dependency graph for dma.c:

Go to the source code of this file.

## Macros
#define | highByte(x) ((x & 0xFF00) >> 8)
#define | lowByte(x) (x & 0x00FF)

## Functions
void | _dmaXfer (uInt8 dmaChannel, uInt8 page, uInt offset, uInt length, uInt8 mode)
void | dmaXfer (uint8_t channel, uint32_t address, uInt length, uint8_t read)

## Macro Definition Documentation

## ◆ highByte

#define highByte | ( |  | x | ) | ((x & 0xFF00) >> 8)

Definition at line 33 of file dma.c.

## ◆ lowByte

#define lowByte | ( |  | x | ) | (x & 0x00FF)

Definition at line 32 of file dma.c.

## Function Documentation

## ◆ _dmaXfer()

void _dmaXfer | ( | uInt8 | dmaChannel,
|  | uInt8 | page,
|  | uInt | offset,
|  | uInt | length,
|  | uInt8 | mode
| ) |  |

Definition at line 57 of file dma.c.

References outportByte().

Referenced by dmaXfer().

Here is the call graph for this function:

## ◆ dmaXfer()

void dmaXfer | ( | uint8_t | channel,
|  | uint32_t | address,
|  | uInt | length,
|  | uint8_t | read
| ) |  |

Definition at line 42 of file dma.c.

References _dmaXfer(), and read().

Here is the call graph for this function: